### Function

# Pango attr_insert_hyphens_new

since: 1.44

#### Declaration [src]

    PangoAttribute*
    pango_attr_insert_hyphens_new (
      gboolean insert_hyphens
    )

#### Description [src]

Create a new insert-hyphens attribute.

Pango will insert hyphens when breaking lines in the middle of a word. This attribute can be used to suppress the hyphen.

Available since: 1.44

#### Parameters

`insert_hyphens`

  Type: `gboolean`

  `TRUE` if hyphens should be inserted.

#### Return value

Type: `PangoAttribute`

The newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`

The caller of the function takes ownership of the data, and is responsible for freeing it.